package com.wechi.adweb.bridge.google.analytics;

import com.google.analytics.admin.v1beta.AnalyticsAdminServiceSettings;
import com.google.api.gax.core.FixedCredentialsProvider;
import com.google.auth.oauth2.GoogleCredentials;

import jakarta.annotation.PostConstruct;

import lombok.extern.slf4j.Slf4j;

import org.springframework.stereotype.Service;

import java.io.IOException;

/**
 * @author wfansh
 */
@Slf4j
@Service
public class GAAdminService {
    private AnalyticsAdminServiceSettings analyticsAdminServiceSettings;

    @PostConstruct
    private void init() throws IOException {
        GoogleCredentials credentials =
                GoogleCredentials.fromStream(
                        this.getClass()
                                .getClassLoader()
                                .getResourceAsStream("google/service-account-key.json"));

        this.analyticsAdminServiceSettings =
                AnalyticsAdminServiceSettings.newBuilder()
                        .setCredentialsProvider(FixedCredentialsProvider.create(credentials))
                        .build();
    }
}
